> ## Documentation Index
> Fetch the complete documentation index at: https://developers.squads.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Accounts

> Retrieves a list of existing virtual accounts for a smart account



## OpenAPI

````yaml GET /smart-accounts/{smart_account_address}/virtual-accounts
openapi: 3.1.0
info:
  title: Grid API
  description: Grid API Documentation
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://grid.squads.xyz/api/v0/grid
    description: Production Server
security:
  - bearerAuth: []
tags:
  - name: smart-accounts
    description: Smart Accounts
paths:
  /smart-accounts/{smart_account_address}/virtual-accounts:
    get:
      tags:
        - Smart Accounts
      operationId: handler
      parameters:
        - name: smart_account_address
          in: path
          description: The address of the smart account to get virtual accounts for
          required: true
          schema:
            type: string
        - name: source_currency
          in: query
          description: The source currency to filter virtual accounts by
          required: false
          schema:
            type: string
        - name: destination_currency
          in: query
          description: The destination currency to filter virtual accounts by
          required: false
          schema:
            type: string
        - name: X-Grid-Environment
          in: header
          description: The environment you’re using. Can be `sandbox` or `production`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved virtual accounts
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VirtualAccount'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '404':
          description: Smart account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridError'
      security:
        - bearerAuth: []
components:
  schemas:
    VirtualAccount:
      type: object
      required:
        - id
        - customer_id
        - source_deposit_instructions
        - destination
        - status
      properties:
        customer_id:
          type: string
        destination:
          $ref: '#/components/schemas/Destination'
        developer_fee_percent:
          type: string
          format: decimal
          example: '0.02'
        id:
          type: string
        source_deposit_instructions:
          $ref: '#/components/schemas/SourceDepositInstructions'
        status:
          $ref: '#/components/schemas/VirtualAccountStatus'
    GridError:
      type: object
      required:
        - message
        - details
        - timestamp
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/Detail'
        message:
          type: string
        timestamp:
          type: string
    Destination:
      type: object
      required:
        - currency
        - payment_rail
        - address
      properties:
        address:
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        payment_rail:
          $ref: '#/components/schemas/PaymentRail'
    SourceDepositInstructions:
      type: object
      required:
        - currency
        - bank_beneficiary_name
        - bank_name
        - bank_address
        - bank_routing_number
        - bank_account_number
        - payment_rails
      properties:
        bank_account_number:
          type: string
        bank_address:
          type: string
        bank_beneficiary_name:
          type: string
        bank_name:
          type: string
        bank_routing_number:
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        payment_rails:
          type: array
          items:
            $ref: '#/components/schemas/PaymentRail'
    VirtualAccountStatus:
      type: string
      enum:
        - activated
        - deactivated
    Detail:
      type: object
      required:
        - field
        - code
        - message
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
    Currency:
      type: string
      enum:
        - usd
        - eur
        - mxn
        - usdc
        - usdt
        - usdb
        - dai
        - pyusd
        - eurc
    PaymentRail:
      type: string
      enum:
        - ach
        - ach_push
        - ach_same_day
        - sepa
        - swift
        - wire
        - arbitrum
        - avalanche_c_chain
        - base
        - bridge_wallet
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
        - tron
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for authentication

````